package com.pss.pssgerenciamentoderepublica.view;

import javax.swing.JButton;
import javax.swing.JTable;

public class ConvitesView extends javax.swing.JFrame {

    /**
     * Creates new form ConviteView
     */
    public ConvitesView() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblSolicitacoes = new javax.swing.JTable();
        jScrollPane2 = new javax.swing.JScrollPane();
        tblConvites = new javax.swing.JTable();
        btnAceitarSolicitacao = new javax.swing.JButton();
        btnConvidar = new javax.swing.JButton();
        btnRecusarSolicitacao = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Convidar Morador / Aceitar Solicitação");

        tblSolicitacoes.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Nome", "Solução de Reclamação", "Realização de Tarefas", "Compromisso com Pagamento"
            }
        ));
        jScrollPane1.setViewportView(tblSolicitacoes);

        jTabbedPane1.addTab("Aceitar Solitações", jScrollPane1);

        tblConvites.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Nome", "Solução de Reclamação", "Realização de Tarefas", "Compromisso com Pagamentos", "Convidado"
            }
        ));
        jScrollPane2.setViewportView(tblConvites);

        jTabbedPane1.addTab("Convidar Usários", jScrollPane2);

        btnAceitarSolicitacao.setText("Aceitar Solicitação");
        btnAceitarSolicitacao.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAceitarSolicitacaoActionPerformed(evt);
            }
        });

        btnConvidar.setText("Convidar");
        btnConvidar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnConvidarActionPerformed(evt);
            }
        });

        btnRecusarSolicitacao.setText("Recusar");
        btnRecusarSolicitacao.setMaximumSize(new java.awt.Dimension(80, 32));
        btnRecusarSolicitacao.setMinimumSize(new java.awt.Dimension(80, 32));
        btnRecusarSolicitacao.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnRecusarSolicitacaoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTabbedPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 1019, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(btnConvidar, javax.swing.GroupLayout.PREFERRED_SIZE, 137, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnRecusarSolicitacao, javax.swing.GroupLayout.PREFERRED_SIZE, 126, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnAceitarSolicitacao, javax.swing.GroupLayout.PREFERRED_SIZE, 137, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 313, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnRecusarSolicitacao, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(btnAceitarSolicitacao, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(btnConvidar, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnAceitarSolicitacaoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAceitarSolicitacaoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnAceitarSolicitacaoActionPerformed

    private void btnRecusarSolicitacaoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnRecusarSolicitacaoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnRecusarSolicitacaoActionPerformed

    private void btnConvidarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnConvidarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnConvidarActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAceitarSolicitacao;
    private javax.swing.JButton btnConvidar;
    private javax.swing.JButton btnRecusarSolicitacao;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTable tblConvites;
    private javax.swing.JTable tblSolicitacoes;
    // End of variables declaration//GEN-END:variables

    public JButton getBtnAceitarSolicitacao() {
        return btnAceitarSolicitacao;
    }

    public JButton getBtnConvidar() {
        return btnConvidar;
    }

    public JButton getBtnRecusarSolicitacao() {
        return btnRecusarSolicitacao;
    }

    public JTable getTblConvites() {
        return tblConvites;
    }

    public JTable getTblSolicitacoes() {
        return tblSolicitacoes;
    }




}
